Documentation for JIRA 4.4. Documentation for other versions of JIRA is available too.

Skip to end of metadata
Go to start of metadata

On this page:

Upgrading from JIRA 4.4 to 5.0

Please follow the instructions in the general Upgrading JIRA guide, as well as the JIRA 5.0-specific instructions in the sections below. The general 'Upgrading JIRA' guide contains important tasks that are essential for getting your upgraded JIRA installation to work correctly and if necessary, migrating existing configurations.

GreenHopper Plugin

Please note that JIRA 5.0 is not currently compatible with GreenHopper 5.7.

From JIRA 5.0 EAP 5, the GreenHopper plugin is no longer bundled with JIRA. Instead, the GreenHopper Setup Process will automatically download and install the latest version of the GreenHopper plugin that supports your JIRA version.

Other Plugins

(warning) PLEASE BE AWARE — JIRA 5.0 introduces several changes that may break existing plugins which are not bundled with JIRA.

If you have a developed a plugin, then please read the Preparing for JIRA 5.0 section of our developer documentation site for more details. This documentation describes changes in JIRA 5.0 which may affect the compatibility of your plugin with JIRA 5.0.

If you are using a plugin developed by a third party, please check with the plugin's author to see if the plugin has been tested with JIRA 5.0.

Translations

Please note that JIRA 5.0 may not ship with the very latest translations of all languages at this time. However, French, German and other translations can be obtained or updated easily via the Universal Plugin Manager by searching for "language pack". See Managing JIRA's Plugins for details on using this feature.

You can also download and install these language packs manually from our Plugin Exchange site.

(tick) Language packs for other languages which are not available through the Universal Plugin Manager or our Plugin Exchange site can be downloaded from our translation site (https://translations.atlassian.com/).

Known Issues

Before you begin the upgrade, please check for known issues. Sometimes we find out about a problem with the latest version of JIRA after we have released the software. In such cases we publish information about the known issues in the JIRA Knowledge Base. Please check for known issues and follow the instructions to apply any necessary patches.

If you encounter a problem during the upgrade and cannot solve it, please create a support ticket and one of our support engineers will help you.

Upgrading from JIRA 4.3.x and Earlier

In addition to the points listed above, please read the Important Version-Specific Upgrade Notes for every version of JIRA you are skipping.

Upgrading from JIRA versions earlier than 4.0

JIRA 5.0 will not allow you to upgrade from a JIRA version prior to 4.0 (for example JIRA 3.10.3). You will have to upgrade your JIRA instance to JIRA 4.x first before you'll be able to upgrade to JIRA 5.0.